# Workflow for running auto-merge

version 1.0

import "tasks/sl_tasks.wdl" as sl_tasks

task dataset_update_counts {
  input {
    File dataset

    Int nproc = 1
    String log_level = "DEBUG"
  }

  command {
    dataset \
      --log-level ${log_level} \
      newuuid --updateCounts \
      ${dataset}
  }
  runtime {
    cpu: 1
  }
  output {
    File updated = "${dataset}"
  }
}

workflow sl_copy_dataset {
  input {
    File dataset
    Boolean write_report = false

    Int nproc = 1
    String log_level = "DEBUG"
    String? tmp_dir
  }

  call dataset_update_counts {
    input:
      dataset = dataset,
      nproc = 1,
      log_level = log_level
  }

  if (write_report) {
    # This is here mostly just for testing purposes
    call sl_tasks.simple_dataset_report {
      input:
        dataset = dataset_update_counts.updated,
        skip_counts = false,
        nproc = 1,
        log_level = log_level
    }
  }

  output {
    File updated = dataset_update_counts.updated
    File? report_dataset = simple_dataset_report.report
  }
}
