# Workflow version of our dataset report generation

version 1.0

import "tasks/pbcoretools.wdl" as pbcoretools
import "tasks/sl_tasks.wdl" as sl_tasks

workflow sl_import_any {
  input {
    File eid_dataset
    Boolean make_reports = true

    Int nproc = 1
    String log_level = "INFO"
    String? tmp_dir
  }

  if (make_reports) {
    call pbcoretools.dataset_absolutize {
      input:
        dataset = eid_dataset,
        log_level = log_level,
        nproc = 1
    }
  
    #call pbcoretools.pbvalidate {
    #  input:
    #    data = dataset_absolutize.updated_xml,
    #    quick_mode = true,
    #    log_level = log_level
    #}
  
    call sl_tasks.simple_dataset_report {
      input:
        dataset = dataset_absolutize.updated_xml,
        skip_counts = true,
        log_level = log_level
    }
  }

  output {
    File? report_dataset = simple_dataset_report.report
  }
}
