version 1.0

import "tasks/pbcoretools.wdl" as pbcoretools
import "tasks/pbreports.wdl" as pbreports

workflow sl_import_ccs {
  input {
    File eid_ccs
    Boolean make_reports = true

    Int nproc = 1
    String log_level = "INFO"
    String? tmp_dir
  }

  if (make_reports) {
    call pbcoretools.dataset_absolutize as update_ccs {
      input:
        dataset = eid_ccs,
        log_level = log_level,
        nproc = 1
    }

    call pbreports.ccs2 {
      input:
        ccsxml = update_ccs.updated_xml,
        nproc = nproc,
        log_level = log_level
    }
  }

  output {
    File? report_ccs2 = ccs2.report
  }
}
