version 1.0

task bam2fasta {
  input {
    File reads
    String prefix = "reads"

    Int nproc = 1
  }
  command {
    bam2fasta -u -o ${prefix} ${reads}
  }
  runtime {
    cpu: 1
  }
  output {
    File fasta = "${prefix}.fasta"
  }
}

task bam2fastq {
  input {
    File reads
    String prefix = "reads"

    Int nproc = 1
  }
  command {
    bam2fastq -u -o ${prefix} ${reads}
  }
  runtime {
    cpu: 1
  }
  output {
    File fastq = "${prefix}.fastq"
  }
}

task bam2fasta_archive {
  input {
    File reads
    String prefix = "reads"

    Int nproc = 1
    String log_level = "DEBUG"
  }
  command {
    python \
      -m pbcoretools.tasks.bam2fasta_archive \
      --log-level ${log_level} \
      ${reads} \
      ${prefix}.fasta.zip
  }
  runtime {
    cpu: 1
  }
  output {
    File fasta_zip = "${prefix}.fasta.zip"
  }
}

task bam2fastq_archive {
  input {
    File reads
    String prefix = "reads"

    Int nproc = 1
    String log_level = "DEBUG"
  }
  command {
    python \
      -m pbcoretools.tasks.bam2fastq_archive \
      --log-level ${log_level} \
      ${reads} \
      ${prefix}.fastq.zip
  }
  runtime {
    cpu: 1
  }
  output {
    File fastq_zip = "${prefix}.fastq.zip"
  }
}
