version 1.0

task gcpp {
  input {
    File mapped
    File reference
    String consensus_algorithm = "best"

    Int nproc
    String log_level = "INFO"
  }
  command {
    gcpp \
      -j ${nproc} \
      --algorithm ${consensus_algorithm} \
      -r ${reference} \
      ${mapped} \
      -o consensus.fasta,consensus.fastq,consensus.gff,consensus.vcf
  }
  runtime {
    cpu: nproc
  }
  output {
    File fasta = "consensus.fasta"
    File fastq = "consensus.fastq"
    File gff = "consensus.gff"
    File vcf = "consensus.vcf"
  }
}

task summarize_consensus {
  input {
    File coverage_gff
    File variants_gff

    Int nproc = 1
  }
  command {
    summarizeConsensus \
      --variantsGff ${variants_gff} \
      -o consensus.gff \
      ${coverage_gff}
  }
  runtime {
    cpu: 1
  }
  output {
    File consensus_gff = "consensus.gff"
  }
}
