version 1.0

task laa {
  input {
    File subreads

    Boolean chimera_filter = true
    Boolean clustering = true
    Boolean phasing = true
    Boolean full_length = false
    Int min_length = 3000
    Int max_length = 0
    Int max_reads = 2000
    Float min_snr = 3.75
    Float min_read_score = 0.75
    Int min_barcode_score = 26
    Int max_phasing_reads = 500
    Int ignore_ends = 0

    Int nproc
    String log_level = "DEBUG"
  }
  command {
    laa \
      --log-level ${log_level} \
      --numThreads ${nproc} \
      ${true="--ChimeraFilter" false="--noChimeraFilter" chimera_filter} \
      ${true="--Clustering" false="--noClustering" clustering} \
      ${true="--Phasing" false="--noPhasing" phasing} \
      ${true="--fullLength" false="" full_length} \
      ${"--maxReads " + max_reads} \
      ${"--minLength " + min_length} \
      ${"--maxLength " + max_length} \
      ${"--minSnr " + min_snr} \
      ${"--minReadScore " + min_read_score} \
      ${"--minBarcodeScore " + min_barcode_score} \
      ${"--maxPhasingReads " + max_phasing_reads} \
      ${"--ignoreEnds " + ignore_ends} \
      ${subreads} \
      --resultFile amplicon_analysis.fastq \
      --junkFile amplicon_analysis_chimeras_noise.fastq \
      --reportFile amplicon_analysis_summary.csv \
      --inputReportFile amplicon_analysis_input.csv
  }
  runtime {
    cpu: nproc
  }
  output {
    File consensus_fastq = "amplicon_analysis.fastq"
    File chimeras_fastq = "amplicon_analysis_chimeras_noise.fastq"
    File summary_csv = "amplicon_analysis_summary.csv"
    File input_csv = "amplicon_analysis_input.csv"
  }
}
