version 1.0

task ccs {
  input {
    File subreads
    Boolean polishing = true
    Int min_passes = 3
    Float min_read_score = 0.65
    Float min_predicted_accuracy = 0.9
    Float min_snr = 2.5
    Int max_poa_coverage = 0
    Int min_length = 10
    Int max_length = 50000
    # this could be either of --modelPath or --modelSpec with appropriate
    # argument; we need to pass the arguments this way due to smrtlink's
    # lack of nullables
    String? model_args
    String? draft_mode_args
    Boolean? disable_heuristics = false
    Boolean by_strand = false

    Int nproc
    String log_level = "INFO"
  }
  command {
    ccs \
      ${subreads} \
      out.consensusreadset.xml \
      --log-level ${log_level} \
      ${true="" false="--noPolish" polishing} \
      --minLength ${min_length} \
      --maxLength ${max_length} \
      --minPasses ${min_passes} \
      --minSnr ${min_snr} \
      --maxPoaCoverage ${max_poa_coverage} \
      --minPredictedAccuracy ${min_predicted_accuracy} \
      ${draft_mode_args} \
      ${true="--disable-heuristics" false="" disable_heuristics} \
      ${true="--by-strand" false="" by_strand} \
      --task-report task-report.json \
      ${model_args} \
      -j ${nproc}
  }
  runtime {
    cpu: nproc
  }
  output {
    File ccsxml = "out.consensusreadset.xml"
  }
}
