# Variant calling using gcpp

version 1.0

import "tasks/gcpp.wdl" as gcpp
import "tasks/pbreports.wdl" as pbreports

workflow consensus_reports {
  input {
    File reference
    File coverage_gff
    File variants_gff

    Int nproc = 8
    Int? max_nchunks
    Int? target_size
    String log_level = "INFO"
  }

  call gcpp.summarize_consensus {
    input:
      coverage_gff = coverage_gff,
      variants_gff = variants_gff
  }

  call pbreports.variants as variants_report {
    input:
      reference = reference,
      consensus_gff = summarize_consensus.consensus_gff,
      variants_gff = variants_gff,
      log_level = log_level
  }

  call pbreports.top_variants as top_variants_report {
    input:
      variants_gff = variants_gff,
      reference = reference,
      log_level = log_level
  }

  output {
    File consensus_gff = summarize_consensus.consensus_gff
    File report_variants = variants_report.report
    File report_top_variants = top_variants_report.report
  }
}
